Get site note content
curl --request GET \
--url https://v1.api.altostrat.io/metadata/{siteId}/notes/{noteId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/metadata/{siteId}/notes/{noteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/metadata/{siteId}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Site Files
Get site note content
Downloads the raw Markdown content of a specific site note.
GET
/
metadata
/
{siteId}
/
notes
/
{noteId}
Get site note content
Authorizations
A bearer token is required for all API requests.
Path Parameters
The unique identifier for the site.
The unique identifier (filename) for the note.
Response
The Markdown content of the note.
The response is of type file.
Was this page helpful?
⌘I